erreneous info about plugin version

I noted that information displayed about antisplog version at backend is not true.

displaying installed version as 1.1.1 while latest version displayed is 1.0.7

how this can be possible? screenshot attached.